Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.spi.uri.rules
Interface UriRuleContext

All Superinterfaces:
  HttpContext, UriMatchResultContext

    public interface UriRuleContext

extends HttpContext, UriMatchResultContext

The context for processing URI rules.

Author:
  Paul.Sandoz@Sun.Com

Method Summary
`java.lang.Object` | `getResource(java.lang.Class resourceClass)` Get the resource instance from a resource class.
`UriRules<UriRule>` | `getRules(java.lang.Class resourceClass)` Get the rules for a resource class.
`void` | `pushMatch(UriTemplate template, java.util.List<java.lang.String> names)` Push a match.
`void` | `pushResource(java.lang.Object resource)` Push a matching resource.
`void` | `pushRightHandPathLength(int rhpathlen)` Push the right hand path length to calculate the entry for the list of matching (ancestor) URI paths.

Methods inherited from interface com.sun.jersey.api.core.HttpContext
`getProperties, getRequest, getResponse, getUriInfo`

Methods inherited from interface com.sun.jersey.spi.uri.rules.UriMatchResultContext
`getMatchResult, setMatchResult`

Method Detail

### getResource

    java.lang.Object getResource(java.lang.Class resourceClass)

  Get the resource instance from a resource class.

  Parameters:
    `resourceClass` - the resource class
  Returns:
    the resource instance

### getRules

    UriRules<UriRule> getRules(java.lang.Class resourceClass)

  Get the rules for a resource class.

  Parameters:
    `resourceClass` - the resource class that has rules
  Returns:
    the rules

### pushMatch

    void pushMatch(UriTemplate template,
                   java.util.List<java.lang.String> names)

  Push a match.

  Parameters:
    `template` - the matching URI template.
    `names` - the parameter names associated with the capturing group values.

### pushResource

    void pushResource(java.lang.Object resource)

  Push a matching resource.

  Parameters:
    `resource` - the matching resource

### pushRightHandPathLength

    void pushRightHandPathLength(int rhpathlen)

  Push the right hand path length to calculate the entry for the list of matching (ancestor) URI paths.

  Parameters:
    `rhpathlen` - the right hand length

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.